像我儿子一样永远保持好奇和梦想

[o]【问题解决】GDB 运行缺少动态库: libexpat.so.0

上一篇 / 下一篇  2012-10-12 18:22:05 / 个人分类:linux

龙8国际_龙8国际下载_龙8国际娱乐官方网(EETOP)-电子设计论坛、博客、超人气的电子工程师资料分享平台4d&_Z6czE*sX

   从网上下载了一个GDB insight ftp://sourceware.org/pub/insight/releases

/sB/j)|i M%@,v0龙8国际_龙8国际下载_龙8国际娱乐官方网(EETOP)-电子设计论坛、博客、超人气的电子工程师资料分享平台,bl)V6_6gC

,然后,

F?#|&kL%Z{0
#tar xjvf insight-6.8.-1.tar.bz2
#cd insight-6.8-1
#./configure --target=arm-linux --disable-werror
#make
#make install
然后 enter /usr/loacal/bin 下准备运行:arm-linux-gdb
报错:
 error while loading shared libraries:  libexpat.so.0:
解决办法:
首先在系统下搜索,libexpat
发现在usr/lib 下有libexpat的升级版本,比如:libexpat.so.1.5.2
然后,把gdb 运行需要的那个 libexpat.so.0 软连接到这个更高版本的就好了

TAG: GDB libexpat

 

评分:0

我来说两句

显示全部

:loveliness: :handshake :victory: :funk: :time: :kiss: :call: :hug: :lol :'( :Q :L ;P :$ :P :o :@ :D :( :)

Open Toolbar